Subject: bug#4187: Bug with indentation / parens matching in C++-mode

From: Tobias Schlüter<[email-masked]>
Date: Tue, 22 Sep 2009 10:51:28 +0200

Hi,

sorry for not getting back to you earlier, and thank you very much for 
the detailed reply.

Alan Mackenzie wrote:
> Hi, Tobias!
> 
> On Tue, Aug 18, 2009 at 02:04:21PM +0200, Tobias.Schlueter wrote:
> 
>> In GNU Emacs 21.4.1 (i686-redhat-linux-gnu, X toolkit, Xaw3d scroll bars)
>>  of 2008-01-04 on norob.fnal.gov
> 
> OK, Emacs 21.4.  That's very old.

Whoops, yes, of course, everything works as expected with a newer 
version.  Hence I don't think it's worth wasting your time with a 
detailed answer.

Just for the record, I'm perfectly happy with GNU-style indentation, and 
my old version of cc-mode failed to do this for the example I quoted 
again below, maybe it's something for the cc-mode testsuite, if 
something like that exists.

>> {
>>   do {
>>   } while (fabs(chi2 - oldChi2) > 0
>>       && count < iterMax);
>> x= 1;
>> }
> 

Cheers,
- Tobias Schlüter